Summary:	A CGI to verify MX RR:s
Name:		mxverify
Version:	2.99.56
Release:	3mdk
License:	BSD-like
Group:		System/Servers
URL:		http://www.zmailer.org/mxverify.html
Source0:	zmailer-%{version}.tar.bz2
Patch0:		mxverify.patch.bz2
Patch1:		zmailer_2.99.56-2.0.0.1.gcc4.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	webserver

%description
MXVERIFY-CGI is a WEB CGI utility to test target domain
reachability in SMTP sense.

%prep

%setup -q -n zmailer-%{version}
%patch0 -p0
%patch1 -p1

%build

export CFLAGS="%{optflags}"
./configure --prefix=%{_prefix}

%make -C utils/mxverify

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}/var/www/cgi-bin
install -d %{buildroot}/var/www/html/admin

install -m0755 utils/mxverify/mxverify-cgi %{buildroot}/var/www/cgi-bin/mxverify.cgi
install -m0644 utils/mxverify/mxverify-cgi.html %{buildroot}/var/www/html/admin/mxverify.html

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc ChangeLog README README.MXVERIFY
%attr(0755,root,root) /var/www/cgi-bin/mxverify.cgi
%attr(0644,root,root) /var/www/html/admin/mxverify.html

%changelog
* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.99.56-3mdk
- added one gcc4 patch (debian)

* Fri Dec 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.99.56-2mdk
- rebuild

* Wed Nov 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.99.56-1mdk
- the license has been clarified now
- 2.99.56
- full zmailer will follow someday...
- initial cooker contrib

* Sun Sep 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.99.56-0.20020901.1mdk
- initial package
